Skip to main content

UnsafeBatchTransactionParams

@iota/iota-sdk


@iota/iota-sdk / client / UnsafeBatchTransactionParams

Interface: UnsafeBatchTransactionParams

Defined in: sdk/typescript/src/client/types/params.ts:500

Create an unsigned batched transaction.

Properties​

gas?​

optional gas?: string | null

Defined in: sdk/typescript/src/client/types/params.ts:509

gas object to be used in this transaction, node will pick one from the signer's possession if not provided


gasBudget​

gasBudget: string

Defined in: sdk/typescript/src/client/types/params.ts:511

the gas budget, the transaction will fail if the gas cost exceed the budget


signal?​

optional signal?: AbortSignal

Defined in: sdk/typescript/src/client/types/params.ts:514


signer​

signer: string

Defined in: sdk/typescript/src/client/types/params.ts:502

the transaction signer's IOTA address


singleTransactionParams​

singleTransactionParams: RPCTransactionRequestParams[]

Defined in: sdk/typescript/src/client/types/params.ts:504

list of transaction request parameters


txnBuilderMode?​

optional txnBuilderMode?: IotaTransactionBlockBuilderMode | null

Defined in: sdk/typescript/src/client/types/params.ts:513

Whether this is a regular transaction or a Dev Inspect Transaction